Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The order ID.

Response

Successful Response

id
string<uuid4>
required

The ID of the object.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

status
enum<string>
required
Available options:
draft,
pending,
paid,
refunded,
partially_refunded,
void
Example:

"paid"

paid
boolean
required

Whether the order has been paid for.

Example:

true

subtotal_amount
integer
required

Amount in cents, before discounts and taxes.

Example:

10000

discount_amount
integer
required

Discount amount in cents.

Example:

1000

net_amount
integer
required

Amount in cents, after discounts but before taxes.

Example:

9000

tax_amount
integer
required

Sales tax amount in cents.

Example:

720

total_amount
integer
required

Amount in cents, after discounts and taxes.

Example:

9720

applied_balance_amount
integer
required

Customer's balance amount applied to this invoice. Can increase the total amount paid, if the customer has a negative balance, or decrease it, if the customer has a positive balance.Amount in cents.

Example:

0

due_amount
integer
required

Amount in cents that is due for this order.

Example:

0

refunded_amount
integer
required

Amount refunded in cents.

Example:

0

refunded_tax_amount
integer
required

Sales tax refunded in cents.

Example:

0

currency
string
required
Example:

"usd"

billing_reason
enum<string>
required
Available options:
purchase,
subscription_create,
subscription_cycle,
subscription_update
billing_name
string | null
required

The name of the customer that should appear on the invoice.

billing_address
Address · object | null
required
invoice_number
string | null
required

The invoice number associated with this order. null while the order is in draft status; assigned at finalize.

is_invoice_generated
boolean
required

Whether an invoice has been generated for this order.

receipt_number
string | null
required

The receipt number for this order. Set once the order is paid for organizations with receipts enabled. When set, a downloadable receipt PDF can be obtained via the receipt endpoint.

customer_id
string<uuid4>
required
product_id
string<uuid4> | null
required
discount_id
string<uuid4> | null
required
subscription_id
string<uuid4> | null
required
checkout_id
string<uuid4> | null
required
metadata
object
required
platform_fee_amount
integer
required

Platform fee amount in cents.

Example:

500

platform_fee_currency
string | null
required

Currency of the platform fee.

Example:

"usd"

customer
OrderCustomer · object
required
product
OrderProduct · object | null
required
discount
DiscountFixedOnceForeverDurationBase · object
required
subscription
OrderSubscription · object | null
required
items
OrderItemSchema · object[]
required

Line items composing the order.

description
string
required

A summary description of the order.

Example:

"Pro Plan"

refundable_amount
integer
required

Amount in cents that can still be refunded (net, before taxes). Accounts for any applied customer balance and previous refunds.

Example:

9000

refundable_tax_amount
integer
required

Sales tax in cents that would be refunded if the full refundable amount is refunded.

Example:

720

seats
integer | null

Number of seats purchased (for seat-based one-time orders).

custom_field_data
Custom Field Data · object

Key-value object storing custom field values.